/* $Id: cxfileutils.h,v 1.2 2003/12/29 14:18:10 rpalsa Exp $
 *
 * This file is part of the ESO C Extension Library
 * Copyright (C) 2001-2004 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: rpalsa $
 * $Date: 2003/12/29 14:18:10 $
 * $Revision: 1.2 $
 * $Name: cpl-2_1_1 $
 */

#ifndef CX_FILEUTILS_H
#define CX_FILEUTILS_H

#include <cxtypes.h>


CX_BEGIN_DECLS

cxlong cx_path_max(const cxchar *);
cxchar *cx_path_alloc(const cxchar *);

CX_END_DECLS

#endif /* CX_FILEUTILS_H */
