package org.eso.ohs.dfs;

/**
 * @author tcanavan
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class FCS {


    /**
     * Root Directory of Run where finding charts are stored.
     */

    private String rootName_;

    private FindingChart[] fcCharts = new FindingChart[0];

    public FCS(FindingChart[] fcs,String rootName) {        
        fcCharts = new FindingChart[fcs.length];
        for (int i = 0; i < fcs.length; i++) {
            fcCharts[i] = new FindingChart(fcs[i]);
        }
        rootName_ = rootName;
    }

    /**
     * Returns the fcCharts.
     * @return FindingChart[]
     */
    public FindingChart[] getFcCharts() {
        return fcCharts;
    }

    /**
     * Sets the fcCharts.
     * @param fcCharts The fcCharts to set
     */
    public void setFcCharts(FindingChart[] fcCharts) {
        this.fcCharts = fcCharts;
    }

    /**
     * Returns the rootName_.
     * @return String
     */
    public String getRootName() {
        return rootName_;
    }

    /**
     * Sets the rootName_.
     * @param rootName_ The rootName_ to set
     */
    public void setRootName(String rootName) {
        this.rootName_ = rootName;
    }

}
