package org.eso.ohs.phase2.apps.p2pp.actions;

import java.awt.event.ActionEvent;

import javax.swing.JFrame;

import org.eso.ohs.core.gui.baseaction.ActionSuperclass;
import org.eso.ohs.phase2.apps.p2pp.P2PP;

/**
 * Action class to make P2PP quit.
 *
 * <p>
 * $Id: QuitAction.java,v 1.4 2005/02/11 10:31:49 tcanavan Exp $
 * <br>
 * @author Bob Kemp
 */

public class QuitAction extends ActionSuperclass {

    /**
     * Constructs a Quit action.
     */
    public QuitAction(JFrame frm) {
	super(frm, "Quit");
    }

    /**
     * Event handler for the Quit action.
     * 
     * @param ev       user-initiated ActionEvent to quit.
     */
    public void actionPerformedImpl(ActionEvent evt) {
//	System.out.println("Quit called");

	P2PP.askAndQuit();
    }

}


