proc dsLookupInitX {} {
    global gvar  cv env

    #initialize flags and variables
    
    

    #Define the header.
    set formatLine "%-39s %-30s"
    set formatHeader "\"DFS Name\" \"Renamed To\"" 
    set gvar(dsLookupHdr) [eval format [concat \"$formatLine\" $formatHeader]]
    #Clean list box


    #Check if there is a lookuptable and show it
    lookupUpdate
} 


proc lookupUpdate {} {
    global gvar env 

    if {![file exists $env(DHS_LOG)/$gvar(programID)-lookuptable.txt]} {
	htInfo "The Filename table is not (yet) there."
	return 
    }
  

    #set the format of the entries.
    if {[catch {set lookFile [open $env(DHS_LOG)/$gvar(programID)-lookuptable.txt r]} res ]} {
	htInfo "I cannot open $env(DHS_LOG)/$gvar(programID)-lookuptable.txt"
	return }

    set formatLine "%-39s %-30s"
    
    Busy . {
	while {[gets $lookFile line] > 0} {
	    set renFile   [lindex $line 0]
	    set origFile  [lindex $line 1]
	
	    lappend lookupTable [eval format [concat \"$formatLine\" $renFile $origFile]]
	}
	
	$gvar(lookupCV).lookupTableWdg deleteItem 0 end
	$gvar(lookupCV).lookupTableWdg  addItemList 0 $lookupTable
    }
}

proc dsLookupClose {} {
    
    panClosePanel no .dsLookup


}


proc Test {} {

    set formatLine "%-35s %-30s"
    set formatHeader "\"DFS Name\" \"Renamed To\"" 
    set gvar(dsLookupHdr) [eval format [concat \"$formatLine\" $formatHeader]]


}