package org.eso.dfs.util;

/**
 * @author Nick Kornweibel
 * 
 * The SharedListListener must be implemented by all classes wishing to receive
 * notification of list changes in a SharedList.
 */
public interface SharedListListener {
    /**
     * The given SharedList has had its contents changed.
     * @param l
     */
    public void listChanged(SharedList l);
}
